{ pkgs ? import <nixpkgs> { } }:


pkgs.mkShell {
  buildInputs = [
    pkgs.rustc
    pkgs.cargo
    pkgs.pkg-config
    pkgs.libxkbcommon

    pkgs.rust-analyzer
    pkgs.clippy
    pkgs.rustfmt
    pkgs.nixd
    pkgs.nil
  ];

}
